%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}


Name:           gpodder
Version:        2.15
Release:        1%{?dist}
Summary:        Podcast receiver/catcher written in Python

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://gpodder.berlios.de/
Source0:        http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
Patch0:         gpodder-use-system-pymtp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-feedparser, python-mygpoclient >= 1.4
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  help2man
Requires:       pygtk2 pygtk2-libglade
Requires:       python-gpod, python-eyed3, python-feedparser
Requires:       python-imaging
Requires:       python-mygpoclient >= 1.4, dbus-python
Requires:       pywebkitgtk, python-pymtp
%description
gPodder is a Podcast receiver/catcher written in Python, using GTK. 
It manages podcast feeds for you and automatically downloads all 
podcasts from as many feeds as you like.
It also optionally supports syncing with ipods.

%prep
%setup -q
%patch0 -p1
# Remove bundled pymtp
rm src/gpodder/gpopymtp.py

%build
make messages


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                 \
  --remove-key Miniicon --add-category Application              \
  --remove-category FileTransfer --remove-category News         \
  --remove-category Network                                     \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README INSTALL
%{_bindir}/%{name}
%{_bindir}/gpo
%{_bindir}/%{name}-backup
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/dbus-1/services/org.gpodder.service
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%changelog
* Wed May 18 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.15-1
- New upstream release
- Remove dependency on gstreamer-python. Upstream removed gstreamer track
  length detection because it was too crashy.

* Sat Apr 23 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.14-1
- New upstream release, remove upstreamed patches

* Wed Mar 02 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.13-2
- Add patch to fix problems if there is no active podcast (rhbz #681383,
  gPodder #1291)
- Add patch to fix invalid UTF-8 text in podcast descriptions (gPodder #1277)

* Wed Feb 23 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.13-1
- New upstream release, remove upstreamed patches

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 03 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.12-2
- Add patch to fix encoding issues in minidb (rhbz #674758, gPodder #1088)

* Sat Jan 15 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.12-1
- New upstream release
- Add patch to fix exception handling in the 'gpo' command line utility
  (rhbz #668284, gPodder #1264)
- Add patch to fix youtube search (Maemo #11756)
- Require python-pymtp for MTP support

* Mon Dec 20 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.11-1
- New upstream release

* Sat Dec 18 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.10-1
- New upstream release

* Tue Oct 12 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.9-1
- New upstream release
- Remove unneeded patch
- Add patch to use systemwide pymtp and remove bundled pymtp

* Sun Oct 03 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.8-2
- Add a patch to fix the 'gpo update' command, rhbz #638107, Maemo #11217

* Sun Aug 29 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.8-1
- New upstream release
- Remove both patches, upstreamed
- Add dependency on gstreamer-python for ipod sync

* Mon Aug 23 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.7-3
- Add patches to fix two Fedora bugs, #620584 (problems with the episode list)
  and #619295 (database ProgrammingError)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 07 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.7-1
- New upstream release
- Drop all patches, upstreamed
- Upstream added the Network category to the .desktop file, remove it so that
  gPodder doesn't show up in both the Network and the Audio menu

* Fri Jun 04 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.6-7
- Add a patch to fix another TypeError, upstream bug #1041, rhbz #599232

* Sun May 30 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.6-6
- Require python-mygpoclient >= 1.4, rhbz #597740

* Fri May 28 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.6-5
- Replace All Episodes patch with better patch from upstream.  

* Fri May 28 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.6-4
- Upstream patch for TypeError in gui.py, upstream bug #934, rhbz #595980

* Sun May 23 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.6-3
- better patch 

* Sun May 23 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.6-2
- small patch to prevent crashes when selecting All episodes for subscription edit 

* Sun May 23 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.6-1
- New upstream release, mostly bug fixes

* Sun May 02 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.5-1
- Update to the latest upstream release
- Require pywebkitgtk instead of gnome-python2-gtkhtml2
- Remove both patches, they are upstreamed
- Remove desktop file categories News and FileTransfer,
  desktop-file-install would require the Network category to be used with
  them, but that would put gPodder into both the Network and the Audio menus

* Mon Mar 15 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.3-3
- Add a patch from upstream git to not raise an exception if PyMTP is
  missing, helps avoid ABRT reports which are not bugs, such as
  rhbz#570811. Upstream bug #924.

* Mon Mar 01 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.3-2
- Add a patch from upstream git to fix rhbz#569111, upstream bug #911
  (GError in desktopfile.py)

* Sat Feb 27 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.3-1
- New upstream release
- Remove both patches, they're in the release

* Thu Feb 25 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-3
- Add patch from upstream git to mention gnome-bluetooth instead of bluez in
  gPodder's own dependency manager
- Drop RPM dependency on gnome-bluetooth so that gPodder can be installed
  without having PulseAudio in the system, upstream bug #884

* Wed Feb 24 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-2
- Add patch from upstream git to fix rhbz#566566, upstream bug #874
  (crash in episode lock counting)

* Wed Feb 10 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-1
- New upstream release
- Add Requires python-mygpoclient and dbus-python
- Add Requires gnome-python2-gtkhtml2 for nicer shownotes
- Remove BuildRequires ImageMagick
- Remove Requires wget and pybluez, not needed anymore

* Mon Dec 14 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.1-1
- New upstream release

* Mon Aug 17 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 2.0-1
- New upstream release

* Mon Aug 17 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.17.0-3
- Fix for desktop file encoding packaging problem

* Mon Jul 27 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.17.0-2
- New upstream release, fixes multiple bugs since 0.16.1.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 2 2009 - 0.16.1-2 jpaleta <jspaleta AT fedoraproject DOT org>
- feedparser buildrequires fix

* Sun Jun 14 2009 - 0.16.1-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream point release new features and bug fixes. See upstream website for details.

* Mon Apr 13 2009 - 0.15.2-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream point release with multiple bug fixes and updates translations.

* Fri Mar 20 2009 - 0.15.1-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream release and packaging fixes

* Thu Feb 05 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.1-1
- new upstream release

* Sat Jan 03 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.0-2
- pybluez dep fix

* Mon Dec 11 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.0-1
- New upstream release

* Mon Dec 01 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.13.1-2.1
- Source Fix

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13.1-2
- Rebuild for Python 2.6

* Wed Nov 12 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.13.1-1
- Update to 0.13.1 

* Thu Oct 9 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.13.0-1
- 0.13 Series

* Sun Aug 10 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.12.2-1
- Bugfix release of the 0.12.x series

* Tue Jul 15 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.12.0-1
- First of the 0.12.x series

* Tue Jul 1 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.11.3-1
- latest stable release

* Wed Apr 2 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.11.1-2
- New Upstream version. 

* Wed Feb 27 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.11.1-1
- New Upstream version. 

* Wed Jan 23 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.10.4-1
- New Upstream version. Minor desktop file patch needed.

* Mon Dec 17 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.3-1
- New Upstream version

* Thu Nov 29 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.2-1
- New Upstream version
- A mixed bag of bugfixes and enhancements
- See upstream release notes for full details

* Tue Oct 30 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.1-1
- New Upstream version
- Channel list selection/update bugfixes
- Really load channel metadata
- See upstream website for full release notes

* Sun Oct 07 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.0-1
- New Upstream version

* Sun Aug 26 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.5-1
- New Upstream version

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.4-2
- Update license tag to GPLv2+ for new licensing guidance

* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.4-1
- Update to 0.9.4 release and adjust specfile accordingly

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.0-1
- Update to 0.9.0 release and adjust specfile accordingly

* Sun Feb 11 2007 Jef Spaleta <jspaleta@gmail.com> 0.8.9-1
- Update to 0.8.9 release and adjust specfile accordingly

* Wed Dec 27 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-3
- Rmove X-Fedora-Extras Category and python dependancy as per review comments 

* Sun Dec 24 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-2
- added iconv call to force utf-8 encoding.

* Sun Dec 24 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-1
- Initial build for FE inclusion review
